<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="utf-8">
    <meta description="The Exile OpenPGP Keyserver">
    <title>The Exile OpenPGP Keyserver</title>
  </head>
  <body>
    <h1>The Exile OpenPGP Keyserver</h1>
    <form action="/pks/lookup" method="get">
      <fieldset style="display:flex;flex-direction:row;">
        <legend>Search</legend>
        <input type="text" name="search"
          placeholder="Search for an OpenPGP Public Key, ie 0x..."
          required autofocus style="align-self:flex-start;flex:1;">
        <input type="submit" value="search" style="flex:0 1;">
      </fieldset>
      <fieldset style="display:flex;flex-direction:row;">
        <legend>Advanced options</legend>
        <div style="display:flex;flex-direction:column;">
          <label for="fingerprint">
            <input type="checkbox" name="fingerprint" id="fingerprint" checked="checked"/>
            Show OpenPGP fingerprints
          </label>
          <label for="hash">
            <input type="checkbox" name="hash" id="hash"/>
            Show full-key hashes
          </label>
          <label for="exact">
            <input type="checkbox" name="exact" id="exact"/>
            Only return exact matches
          </label>
          <label for="mr">
            <input type="checkbox" name="mr" id="mr"/>
            Machine readable
          </label>
        </div>
        <div style="display:flex;flex-direction:column;">
          <label for="radios-0">
            <input name="op" type="radio" id="radios-0" value="index" checked="checked">
            Get regular index of matching keys
          </label>
          <label for="radios-1">
            <input name="op" type="radio" id="radios-1" value="vindex">
            Get <strong>verbose</strong> index of matching keys
          </label>
          <label for="radios-2">
            <input name="op" type="radio" id="radios-2" value="get">
            Retrieve ASCII-armored keys
          </label>
          <label for="radios-3">
            <input name="op" type="radio" id="radios-3" value="hget">
            Retrieve keys by full-key hash
          </label>
        <div>
      </fieldset>
    </form>
    <div style="display:flex;flex-direction:row;justify-content:space-between;">
      <div>
        <a href="/pks/upload">Submit your OpenPGP key</a>
      </div>
      <div>
        <a href="/pks/stats">statistics</a> |
        <a href="/pks/about">about</a>
      </div>
    </div>
  </body>
</html>
